<template>
    <div class="form-signin">
        <b-container>
            <b-card
                header="Giriş Yap"
                header-bg-variant="primary"
                header-text-variant="white"
                align="center"
                footer="@2021-2022"
                footer-class="text-muted"
            >
                <b-card-text>
                    <form @submit.prevent="login">
                        <b-form-group
                            id="email"
                            class="mt-2"
                        >
                            <b-form-input
                                id="email-input"
                                type="email"
                                placeholder="E-Posta Adresi"
                                required
                                v-model="form.email"
                            ></b-form-input>
                        </b-form-group>

                        <b-form-group>
                            <b-form-input
                                type="password"
                                placeholder="Parola"
                                required
                                v-model="form.password"
                            ></b-form-input>
                        </b-form-group>
                        <b-button class="mt-3" block variant="primary" type="submit">Giriş</b-button>
                    </form>
                </b-card-text>
            </b-card>
        </b-container>
    </div>
</template>

<script>

export default {
    name: 'LoginPage',
    data() {
        return {
            form: {
                email: '',
                password: ''
            },
            errorMessage: null,
        };
    },
    methods: {
        login() {
            const data = {
                email: this.form.email,
                password: this.form.password
            }
            // the library is faulty, does not work properly with axios
            this.$auth.login({
                data,
                success: function () {
                    //
                },
                error: function (err) {
                    //
                },
                fetchUser: true
            })
        }
    }
};
</script>
<style>
</style>
